using Hotline.Share.Enums.Order;
using MiniExcelLibs.Attributes;
using SqlSugar;


namespace Hotline.Import
{
    public class ExcelContent
    {
        [ExcelColumnName("来源")]
        public string Source { get; set; }

        [ExcelColumnName("编号")]
        public string ExternalId { get; set; }

        [ExcelColumnName("受理时间")]
        public DateTime StartTime { get; set; }

        [ExcelColumnName("标题")]
        public string Title { get; set; }

        [ExcelColumnName("期满时间")]
        public DateTime ExpiredTime { get; set; }
        /// <summary>
        /// 一级部门名称
        /// </summary>
        [ExcelColumnName("一级部门")]
        public string? OrgLevelOneName { get; set; }
        /// <summary>
        /// 二级部门名称
        /// </summary>
        [ExcelColumnName("二级部门")]
        public string? OrgLevelTwoName { get; set; }

        [ExcelColumnName("承办部门")]
        public string ActualHandleOrgName { get; set; }
        [ExcelColumnName("办结时间")]
        public DateTime ActualHandleTime { get; set; }
        [ExcelColumnName("受理类型")]
        public string AcceptType { get; set; }
        [ExcelColumnName("一级热点")]
        public string HotspotNameOne { get; set; }

        [ExcelColumnName("二级热点")]
        public string HotspotNameTwo { get; set; }
        [ExcelColumnName("三级热点")]
        public string HotspotNameThree { get; set; }

        [ExcelColumnName("四级热点")]
        public string HotspotNameFour { get; set;}

        [ExcelColumnName("五级热点")]
        public string HotspotNameFive { get; set; }

        [ExcelColumnName("市")]
        public string City { get; set; }

        [ExcelColumnName("区")]
        public string County { get; set; }

        [ExcelColumnName("乡镇")]
        public string? Town { get; set; }

        [ExcelColumnName("事发地址")]
        public string Street { get; set; }

        [ExcelColumnName("来电人姓名")]
        public string FromName { get; set; }

        [ExcelColumnName("联系电话")]
        public string Contact { get; set; }
        
        [ExcelColumnName("重办次数")]
        public int ReTransactNum { get; set; }
        [ExcelColumnName("信件满意度")]
        public string VisitResult { get; set; }

        [ExcelColumnName("受理内容")]
        public string Content { get; set; }

        [ExcelColumnName("承办意见")]
        public string ActualOpinion { get; set; }

    }
}
